	/* Yacc specification of ambiguous "dangling-else" grammar (4.67),*/
	/* Section 4.8.2, Aho, 2nd ed.  Use precedence/associativity rules*/
	/* to resolve ambiguity.                                          */
%right 'i' 
%right 'e' 
%% 
	/* The "dangling-else" grammar (4.67) from Aho, 2nd ed. */
S 	: 'i' S 'e' S 
	| 'i' S 
	| 'a' 
	;
%% 
main() 
{yyparse();} 
/** 
*Read characters one at a time and stop on newline. 
* 
*/ 
int yylex() 
{  int c=getchar(); 
   if (c=='\n') return 0;
   else return c;
} 

